=head1 Name

B<rinv> - remote hardware inventory

=head1 B<Synopsis>

B<rinv> [B<-h>|B<--help>|B<-v>|B<--version>]

=head2 BMC/MPA specific:

B<rinv> I<noderange> {B<pci>|B<model>|B<serial>|B<asset>|B<vpd>|B<mprom>|B<deviceid>|B<guid>|B<firm>|B<diag>|B<bios>|B<mparom>|B<mac>|B<all>}

=head2 PPC (with HMC) specific:

B<rinv> I<noderange> {B<bus>|B<config>|B<serial>|B<model>|B<firm>|B<all>}

=head2 PPC (using Direct FSP Management) specific:

B<rinv> I<noderange> {B<firm>}

B<rinv> I<noderange> {B<deconfig> [B<-x>]}

=head2 Blade specific:

B<rinv> I<noderange> {B<mtm>|B<serial>|B<mac>|B<bios>|B<diag>|B<mprom>|B<mparom>|B<firm>|B<all>}

=head2 VMware specific:

B<rinv> I<noderange> [B<-t>]

=head1 B<Description>

B<rinv>  retrieves  hardware  configuration  information from the on-board
Service Processor for a single or range of nodes and groups.

Calling B<rinv> for VMware will display the UUID/GUID, nuumber of CPUs, amount of memory, the MAC address and a list of Hard disks.  The output for each Hard disk includes the label, size and backing file location.

=head1 B<Options>

=over 7

=item B<pci>

Retrieves PCI bus information.

=item B<bus>

List all buses for each I/O slot.

=item B<config>

Retrieves number of processors, speed, total  memory,  and  DIMM
locations.

=item B<model>

Retrieves model number.

=item B<serial>

Retrieves serial number.

=item B<firm>

Retrieves firmware versions.

=item B<deconfig>

Retrieves deconfigured resources. Deconfigured resources are hw components (cpus, memory, etc.) that have failed so the firmware has automatically turned those components off. This option is only capable of listing some of the deconfigured resources and should not be the only method used to check the hardware status.

=item B<-x>

To output the information of deconfigured resources in XML format.

=item B<asset>

Retrieves asset tag.  Usually it's the MAC address of eth0.

=item B<vpd>

Same as specifying model, serial, deviceid, and mprom.

=item B<diag>

Diagnostics information of firmware.

=item B<mprom>

?

=item B<deviceid>

?

=item B<guid>

?

=item B<all>

All of the above.

=item B<-h>|B<--help>

Print help.

=item B<-v>|B<--version>

Print version.

=item B<-t>

Set the values in the vm table to what vCenter has for the indicated nodes.

=back

=head1 B<Examples>

=over 4

=item *

To retrieve all information available from blade node4, enter:

 rinv node5 all

 node5: Machine Type/Model 865431Z
 node5: Serial Number 23C5030
 node5: Asset Tag 00:06:29:1F:01:1A
 node5: PCI Information
 node5:  Bus  VendID  DevID    RevID  Description              Slot Pass/Fail
 node5:  0    1166    0009     06     Host Bridge              0	PASS
 node5:  0    1166    0009     06     Host Bridge              0	PASS
 node5:  0    5333    8A22     04     VGA Compatible Controller0	PASS
 node5:  0    8086    1229     08     Ethernet Controller      0	PASS
 node5:  0    8086    1229     08     Ethernet Controller      0	PASS
 node5:  0    1166    0200     50     ISA Bridge               0	PASS
 node5:  0    1166    0211     00     IDE Controller           0	PASS
 node5:  0    1166    0220     04     Universal Serial Bus     0	PASS
 node5:  1    9005    008F     02     SCSI Bus Controller      0	PASS
 node5:  1    14C1    8043     03     Unknown Device Type      2	PASS
 node5: Machine Configuration Info
 node5: Number of Processors:
 node5: Processor Speed: 866 MHz
 node5: Total Memory:	  512 MB
 node5: Memory DIMM locations:  Slot(s)  3  4

=item *

To output the information of deconfigured resources in XML format for CEC cec01, enter:

 rinv cec01 deconfig -x

 cec01:
 <SYSTEM>
 <System_type>IH</System_type>
 <NODE>
 <Location_code>U78A9.001.0123456-P1</Location_code>
 <RID>800</RID>
 </NODE>
 </SYSTEM>

=item *

To retrieve 'config' information from the HMC-managed LPAR node3, enter:

 rinv node3 config

 node5: Machine Configuration Info
 node5: Number of Processors: 1
 node5: Total Memory (MB): 1024

=item *

To retrieve information about a VMware node vm1, enter:

 rinv vm1
 vm1: UUID/GUID: 42198f65-d579-fb26-8de7-3ae49e1790a7
 vm1: CPUs: 1
 vm1: Memory: 1536 MB
 vm1: Network adapter 1: 36:1b:c2:6e:04:02
 vm1: Hard disk 1 (d0): 9000 MB @ [nfs_192.168.68.21_vol_rc1storage_vmware] vm1_3/vm1.vmdk
 vm1: Hard disk 2 (d4): 64000 MB @ [nfs_192.168.68.21_vol_rc1storage_vmware] vm1_3/vm1_5.vmdk


=back

=head1 SEE ALSO

L<rpower(1)|rpower.1>
